ros-jazzy-rosbag2-tests (0.26.10-2noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 07 Apr 2026 07:00:00 -0000

ros-jazzy-rosbag2-tests (0.26.9-2noble) noble; urgency=high

  * [jazzy] Expose more of the player/recorder API through Python (backport #2062 <https://github.com/ros2/rosbag2/issues/2062>) (#2100 <https://github.com/ros2/rosbag2/issues/2100>)
    Co-authored-by: Christophe Bedard <mailto:bedard.christophe@gmail.com>
    Co-authored-by: Michael Orlov <mailto:morlovmr@gmail.com>
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 11 Aug 2025 07:00:00 -0000

ros-jazzy-rosbag2-tests (0.26.8-2noble) noble; urgency=high

  * [jazzy] Bugfix for deadlocks in Rosbag2 player when calling stop API (backport #2057 <https://github.com/ros2/rosbag2/issues/2057>) (#2060 <https://github.com/ros2/rosbag2/issues/2060>)
  * [jazzy] Address flakiness in tests where need to spin a node (backport #2001 <https://github.com/ros2/rosbag2/issues/2001>) (#2019 <https://github.com/ros2/rosbag2/issues/2019>)
  * [jazzy] Upstream quality changes from Apex.AI part-2 (backport #1924 <https://github.com/ros2/rosbag2/issues/1924>) (#1987 <https://github.com/ros2/rosbag2/issues/1987>)
  * Contributors: Michael Orlov <mailto:morlovmr@gmail.com>, Christophe Bedard <mailto:bedard.christophe@gmail.com>

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 10 Jul 2025 07:00:00 -0000

ros-jazzy-rosbag2-tests (0.26.7-2noble) noble; urgency=high

  * [jazzy] Upstream quality changes from Apex.AI part 1 (backport #1903 <https://github.com/ros2/rosbag2/issues/1903>) (#1909 <https://github.com/ros2/rosbag2/issues/1909>)
  * Contributors: mergify[bot], Michael Orlov

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 22 Apr 2025 07:00:00 -0000

ros-jazzy-rosbag2-tests (0.26.6-2noble) noble; urgency=high

  * [jazzy] Add "--sort" CLI option to the "ros2 bag info" command (backport #1804 <https://github.com/ros2/rosbag2/issues/1804>) (#1838 <https://github.com/ros2/rosbag2/issues/1838>)
    Co-authored-by: Soenke Prophet <mailto:soenke.prophet@gmail.com>
    Co-authored-by: Michael Orlov <mailto:michael.orlov@apex.ai>
    Co-authored-by: Sanoronas <mailto:soenke.prophet@gmail.com>
  * [jazzy] Add computation of size contribution to info verb (backport #1726 <https://github.com/ros2/rosbag2/issues/1726>) (#1872 <https://github.com/ros2/rosbag2/issues/1872>)
    Co-authored-by: Nicola Loi <mailto:nicolaloi@outlook.com>
    Co-authored-by: Michael Orlov <mailto:michael.orlov@apex.ai>
  * Improve the reliability of rosbag2 tests (#1796 <https://github.com/ros2/rosbag2/issues/1796>) (#1806 <https://github.com/ros2/rosbag2/issues/1806>)
    Co-authored-by: Chris Lalancette <mailto:clalancette@gmail.com>
    Co-authored-by: Michael Orlov <mailto:michael.orlov@apex.ai>
  * Contributors: Marco A. Gutierrez, mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 18 Dec 2024 08:00:00 -0000

ros-jazzy-rosbag2-tests (0.26.5-2noble) noble; urgency=high

  * Small cleanups to the rosbag2 tests. (#1792 <https://github.com/ros2/rosbag2/issues/1792>) (#1793 <https://github.com/ros2/rosbag2/issues/1793>)
    (cherry picked from commit 604cebcf11775151efa94f7c30ba1aea68e90c5c)
    Co-authored-by: Chris Lalancette <mailto:clalancette@gmail.com>
  * Bugfix for wrong timestamps in ros2 bag info (#1745 <https://github.com/ros2/rosbag2/issues/1745>) (#1752 <https://github.com/ros2/rosbag2/issues/1752>)
    (cherry picked from commit da28c9da82824b8ce5f6fc18935d1a954e52b636)
    Co-authored-by: Michael Orlov <mailto:michael.orlov@apex.ai>
  * Fix for a false negative integration test with bag split in recorder (#1743 <https://github.com/ros2/rosbag2/issues/1743>) (#1750 <https://github.com/ros2/rosbag2/issues/1750>)
    (cherry picked from commit da1acb29646258899ba73a81c803383c07905613)
    Co-authored-by: Michael Orlov <mailto:michael.orlov@apex.ai>
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 06 Sep 2024 07:00:00 -0000

ros-jazzy-rosbag2-tests (0.26.4-2noble) noble; urgency=high

  * Propagate "custom_data" and "ros_distro" in to the metadata.yaml file during re-indexing (#1700 <https://github.com/ros2/rosbag2/issues/1700>) (#1710 <https://github.com/ros2/rosbag2/issues/1710>)
    Co-authored-by: Cole Tucker <mailto:coalman321@users.noreply.github.com>
  * [jazzy] Sweep cleanup in rosbag2 recorder CLI args verification code (backport #1633 <https://github.com/ros2/rosbag2/issues/1633>) (#1684 <https://github.com/ros2/rosbag2/issues/1684>)
    Co-authored-by: Michael Orlov <mailto:michael.orlov@apex.ai>
  * Fix for regression in open_succeeds_twice and minimal_writer_example tests (#1667 <https://github.com/ros2/rosbag2/issues/1667>) (#1675 <https://github.com/ros2/rosbag2/issues/1675>)
    Co-authored-by: Michael Orlov <mailto:michael.orlov@apex.ai>
  * [jazzy] Add optional  '--topics' CLI argument for 'ros2 bag record' (backport #1632 <https://github.com/ros2/rosbag2/issues/1632>) (#1640 <https://github.com/ros2/rosbag2/issues/1640>)
    Co-authored-by: Tomoya Fujita <mailto:Tomoya.Fujita@sony.com>
    Co-authored-by: Michael Orlov <mailto:michael.orlov@apex.ai>
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 27 Jun 2024 07:00:00 -0000

ros-jazzy-rosbag2-tests (0.26.3-2noble) noble; urgency=high

  * Bugfix for writer not being able to open again after closing (#1599 <https://github.com/ros2/rosbag2/issues/1599>) (#1639 <https://github.com/ros2/rosbag2/issues/1639>)
    Co-authored-by: Michael Orlov <mailto:michael.orlov@apex.ai>
    Co-authored-by: yschulz <mailto:yschulz854@gmail.com>
  * Contributors: mergify[bot]

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 15 May 2024 07:00:00 -0000

ros-jazzy-rosbag2-tests (0.26.2-2noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 24 Apr 2024 07:00:00 -0000

ros-jazzy-rosbag2-tests (0.26.1-2noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 17 Apr 2024 07:00:00 -0000

ros-jazzy-rosbag2-tests (0.26.0-2noble) noble; urgency=high

  * Use middleware send and receive timestamps from message_info during recording (#1531 <https://github.com/ros2/rosbag2/issues/1531>)
  * Added exclude-topic-types to record (#1582 <https://github.com/ros2/rosbag2/issues/1582>)
  * Contributors: Alejandro Hernández Cordero, jmachowinski

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 16 Apr 2024 07:00:00 -0000

ros-jazzy-rosbag2-tests (0.25.0-2noble) noble; urgency=high

  * Use std::filesystem instead of rcpputils::fs (#1576 <https://github.com/ros2/rosbag2/issues/1576>)
  * Filter topic by type  (#1577 <https://github.com/ros2/rosbag2/issues/1577>)
  * Make some changes for newer versions of uncrustify. (#1578 <https://github.com/ros2/rosbag2/issues/1578>)
  * Add topic_id returned by storage to the TopicMetadata (#1538 <https://github.com/ros2/rosbag2/issues/1538>)
  * Improve performance in SqliteStorage::get_bagfile_size() (#1516 <https://github.com/ros2/rosbag2/issues/1516>)
  * Implement service recording and display info about recorded services (#1480 <https://github.com/ros2/rosbag2/issues/1480>)
  * Mark play_end_to_end test as xfail in Windows (#1452 <https://github.com/ros2/rosbag2/issues/1452>)
  * Contributors: Alejandro Hernández Cordero, Barry Xu, Chris Lalancette, Cristóbal Arroyo, Michael Orlov, Roman Sokolkov

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 27 Mar 2024 07:00:00 -0000

ros-jazzy-rosbag2-tests (0.24.0-2noble) noble; urgency=high

  * Implement storing and loading ROS_DISTRO from metadata.yaml and mcap files (#1241 <https://github.com/ros2/rosbag2/issues/1241>)
  * Address flakiness in rosbag2_play_end_to_end tests (#1297 <https://github.com/ros2/rosbag2/issues/1297>)
  * Contributors: Emerson Knapp, Michael Orlov

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 11 Jul 2023 07:00:00 -0000

ros-jazzy-rosbag2-tests (0.23.0-2noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 28 Apr 2023 07:00:00 -0000

ros-jazzy-rosbag2-tests (0.22.0-2noble) noble; urgency=high

  * Add type_hash in MessageDefinition struct (#1296 <https://github.com/ros2/rosbag2/issues/1296>)
  * Contributors: Michael Orlov

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 18 Apr 2023 07:00:00 -0000

ros-jazzy-rosbag2-tests (0.21.0-2noble) noble; urgency=high

  * rosbag2_cpp: move local message definition source out of MCAP plugin (#1265 <https://github.com/ros2/rosbag2/issues/1265>)
  * Update rosbag2 to C++17. (#1238 <https://github.com/ros2/rosbag2/issues/1238>)
  * Use target_link_libraries instead of ament_target_dependencies (#1202 <https://github.com/ros2/rosbag2/issues/1202>)
  * Contributors: Chris Lalancette, Daisuke Nishimatsu, Michael Orlov, james-rms

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 12 Apr 2023 07:00:00 -0000

ros-jazzy-rosbag2-tests (0.20.0-2noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 14 Feb 2023 08:00:00 -0000

ros-jazzy-rosbag2-tests (0.19.0-2noble) noble; urgency=high

  * rosbag2_storage: set MCAP as default plugin (#1160 <https://github.com/ros2/rosbag2/issues/1160>)
  * Add Michael Orlov as maintainer in rosbag2 packages (#1215 <https://github.com/ros2/rosbag2/issues/1215>)
  * Parametrize all rosbag2_tests for both supported storage plugins (#1221 <https://github.com/ros2/rosbag2/issues/1221>)
  * Make rosbag2_tests agnostic to storage implementation (#1192 <https://github.com/ros2/rosbag2/issues/1192>)
  * Contributors: Emerson Knapp, Michael Orlov, james-rms

 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 13 Jan 2023 08:00:00 -0000

ros-jazzy-rosbag2-tests (0.18.0-2noble) noble; urgency=high

  * Get rid from attempt to open DB file in wait_for_db() test fixture (#1141 <https://github.com/ros2/rosbag2/issues/1141>)
  * Fix for ros2 bag play exit with non-zero code on SIGINT (#1126 <https://github.com/ros2/rosbag2/issues/1126>)
  * Move sqlite3 storage implementation to rosbag2_storage_sqlite3 package (#1113 <https://github.com/ros2/rosbag2/issues/1113>)
  * Readers/info can accept a single bag storage file, and detect its storage id automatically (#1072 <https://github.com/ros2/rosbag2/issues/1072>)
  * Contributors: Emerson Knapp, Michael Orlov

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 15 Nov 2022 08:00:00 -0000

ros-jazzy-rosbag2-tests (0.17.0-2noble) noble; urgency=high

  * Add the ability to record any key/value pair in 'custom' field in metadata.yaml (#1038 <https://github.com/ros2/rosbag2/issues/1038>)
  * Contributors: Hunter L. Allen, Tony Peng

 -- Michael Orlov <michael.orlov@apex.ai>  Sat, 30 Jul 2022 07:00:00 -0000

ros-jazzy-rosbag2-tests (0.16.0-2noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 11 May 2022 07:00:00 -0000

ros-jazzy-rosbag2-tests (0.15.1-2noble) noble; urgency=high

  * Revert "Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)" (#984 <https://github.com/ros2/rosbag2/issues/984>)
  * Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)
  * Contributors: Audrow Nash, Jorge Perez, Tony Peng

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 06 Apr 2022 07:00:00 -0000

ros-jazzy-rosbag2-tests (0.15.0-2noble) noble; urgency=high

  * Revert "Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)" (#984 <https://github.com/ros2/rosbag2/issues/984>)
  * Add the ability to record any key/value pair in the 'custom' field in metadata.yaml (#976 <https://github.com/ros2/rosbag2/issues/976>)
  * Contributors: Jorge Perez, Tony Peng

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 05 Apr 2022 07:00:00 -0000

ros-jazzy-rosbag2-tests (0.14.1-2noble) noble; urgency=high

  * Bump version number to avoid conflict
  * Contributors: Chris Lalancette

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 29 Mar 2022 07:00:00 -0000

ros-jazzy-rosbag2-tests (0.14.0-2noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 29 Mar 2022 07:00:00 -0000

ros-jazzy-rosbag2-tests (0.13.0-2noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 13 Jan 2022 08:00:00 -0000

ros-jazzy-rosbag2-tests (0.12.0-2noble) noble; urgency=high

  * Add pause/resume options to the bag recorder (#905 <https://github.com/ros2/rosbag2/issues/905>)
  * Contributors: Ivan Santiago Paunovic

 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 17 Dec 2021 08:00:00 -0000

ros-jazzy-rosbag2-tests (0.11.0-2noble) noble; urgency=high

  * Update package maintainers (#899 <https://github.com/ros2/rosbag2/issues/899>)
  * Contributors: Michel Hidalgo

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 08 Nov 2021 08:00:00 -0000

ros-jazzy-rosbag2-tests (0.10.1-2noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Fri, 22 Oct 2021 07:00:00 -0000

ros-jazzy-rosbag2-tests (0.10.0-2noble) noble; urgency=high

  * Fix a bug on invalid pointer address when using "MESSAGE" compressio… (#866 <https://github.com/ros2/rosbag2/issues/866>)
  * Metadata per file info (#870 <https://github.com/ros2/rosbag2/issues/870>)
  * Fix record test to reflect plugin query changes (#838 <https://github.com/ros2/rosbag2/issues/838>)
  * Make sure the subscription exists before publishing messages (#804 <https://github.com/ros2/rosbag2/issues/804>)
  * Handle SIGTERM gracefully in recording (#792 <https://github.com/ros2/rosbag2/issues/792>)
  * Add spin_and_wait_for_matched to PublicationManager and update test c… (#797 <https://github.com/ros2/rosbag2/issues/797>)
  * Remove rmw_fastrtps_cpp find_package in rosbag2_tests (#774 <https://github.com/ros2/rosbag2/issues/774>)
  * Contributors: Barry Xu, Cameron Miller, Emerson Knapp, Ivan Santiago Paunovic, Wojciech Jaworski

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 19 Oct 2021 07:00:00 -0000

ros-jazzy-rosbag2-tests (0.9.0-2noble) noble; urgency=high

  * Correct expectation for exit code in play_end_to_end test since after redesign we are getting exception in constructor. (#763 <https://github.com/ros2/rosbag2/issues/763>)
  * remodel publication manager (#749 <https://github.com/ros2/rosbag2/issues/749>)
  * correct exit code assertion (#747 <https://github.com/ros2/rosbag2/issues/747>)
  * Contributors: Karsten Knese, Michael Orlov

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 17 May 2021 07:00:00 -0000

ros-jazzy-rosbag2-tests (0.8.0-2noble) noble; urgency=high

  * Remove -Werror from builds, enable it in Action CI (#722 <https://github.com/ros2/rosbag2/issues/722>)
  * Explicitly add emersonknapp as maintainer (#692 <https://github.com/ros2/rosbag2/issues/692>)
  * Reindexer core (#641 <https://github.com/ros2/rosbag2/issues/641>)
    Add a new C++ Reindexer class for reconstructing metadata from bags that are missing it.
  * use rclcpp serialized messages to write data (#457 <https://github.com/ros2/rosbag2/issues/457>)
  * Contributors: Emerson Knapp, Karsten Knese, jhdcs

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 19 Apr 2021 07:00:00 -0000

ros-jazzy-rosbag2-tests (0.7.0-2noble) noble; urgency=high

  * Alternative write api (#676 <https://github.com/ros2/rosbag2/issues/676>)
  * RMW-implementation-searcher converter in rosbag2_cpp (#670 <https://github.com/ros2/rosbag2/issues/670>)
  * Use rosbag2_py for ros2 bag info (#673 <https://github.com/ros2/rosbag2/issues/673>)
  * Remove temporary directory platform-specific logic from test fixture (#660 <https://github.com/ros2/rosbag2/issues/660>)
  * Fix --topics flag for ros2 bag play being ignored for all bags after the first one. (#619 <https://github.com/ros2/rosbag2/issues/619>)
  * Move zstd compressor to its own package (#636 <https://github.com/ros2/rosbag2/issues/636>)
  * Contributors: Alexander, Emerson Knapp, Karsten Knese

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 18 Mar 2021 07:00:00 -0000

ros-jazzy-rosbag2-tests (0.6.0-2noble) noble; urgency=high

  * Fix relative metadata paths in SequentialCompressionWriter (#613 <https://github.com/ros2/rosbag2/issues/613>)
  * Recorder --regex and --exclude options (#604 <https://github.com/ros2/rosbag2/issues/604>)
  * Fix the tests on cyclonedds by translating qos duration values (#606 <https://github.com/ros2/rosbag2/issues/606>)
  * Contributors: Adam Dąbrowski, Emerson Knapp

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 01 Feb 2021 08:00:00 -0000

ros-jazzy-rosbag2-tests (0.5.0-2noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 02 Dec 2020 08:00:00 -0000

ros-jazzy-rosbag2-tests (0.4.0-2noble) noble; urgency=high

  * add storage_config_uri (#493 <https://github.com/ros2/rosbag2/issues/493>)
  * Removed duplicated code in record (#534 <https://github.com/ros2/rosbag2/issues/534>)
  * Change default cache size for sequential_writer to a non zero value (#533 <https://github.com/ros2/rosbag2/issues/533>)
  * Update the package.xml files with the latest Open Robotics maintainers (#535 <https://github.com/ros2/rosbag2/issues/535>)
  * Mark flaky tests as xfail for now (#520 <https://github.com/ros2/rosbag2/issues/520>)
  * introduce defaults for the C++ API (#452 <https://github.com/ros2/rosbag2/issues/452>)
  * Adding db directory creation to rosbag2_cpp (#450 <https://github.com/ros2/rosbag2/issues/450>)
  * minimal c++ API test (#451 <https://github.com/ros2/rosbag2/issues/451>)
  * Add split by time to recording (#409 <https://github.com/ros2/rosbag2/issues/409>)
  * Contributors: Emerson Knapp, Jaison Titus, Karsten Knese, Marwan Taher, Michael Jeronimo, jhdcs

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 19 Nov 2020 08:00:00 -0000

ros-jazzy-rosbag2-tests (0.3.2-2noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 03 Jun 2020 07:00:00 -0000

ros-jazzy-rosbag2-tests (0.3.1-2noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 01 Jun 2020 07:00:00 -0000

ros-jazzy-rosbag2-tests (0.3.0-2noble) noble; urgency=high

  * Export targets (#403 <https://github.com/ros2/rosbag2/issues/403>)
  * Contributors: Karsten Knese

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 26 May 2020 07:00:00 -0000

ros-jazzy-rosbag2-tests (0.2.8-2noble) noble; urgency=high

  * Disable play_filters_by_topic test (#410 <https://github.com/ros2/rosbag2/issues/410>)
  * Contributors: Mabel Zhang

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 18 May 2020 07:00:00 -0000

ros-jazzy-rosbag2-tests (0.2.7-2noble) noble; urgency=high

  * Fix splitting tests on windows (#407 <https://github.com/ros2/rosbag2/issues/407>)
  * Fix #381 <https://github.com/ros2/rosbag2/issues/381> unstable play_end_to_end test (#396 <https://github.com/ros2/rosbag2/issues/396>)
  * Contributors: Karsten Knese, Mabel Zhang

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 12 May 2020 07:00:00 -0000

ros-jazzy-rosbag2-tests (0.2.6-2noble) noble; urgency=high

  * Correct usage of rcpputils::SharedLibrary loading. (#400 <https://github.com/ros2/rosbag2/issues/400>)
  * Contributors: Karsten Knese

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 07 May 2020 07:00:00 -0000

ros-jazzy-rosbag2-tests (0.2.5-2noble) noble; urgency=high

  * Expose topic filter to command line (addresses #342 <https://github.com/ros2/rosbag2/issues/342>) (#363 <https://github.com/ros2/rosbag2/issues/363>)
  * Fix rosbag2_tests resource files and play_end_to_end test (#362 <https://github.com/ros2/rosbag2/issues/362>)
  * Replace poco dependency by rcutils (#322 <https://github.com/ros2/rosbag2/issues/322>)
  * resolve relative file paths (#345 <https://github.com/ros2/rosbag2/issues/345>)
  * Transaction based sqlite3 inserts (#225 <https://github.com/ros2/rosbag2/issues/225>)
  * Replace rcutils_get_file_size with rcpputils::fs::file_size (#291 <https://github.com/ros2/rosbag2/issues/291>)
  * [compression] Enable compression through ros2bag cli (#263 <https://github.com/ros2/rosbag2/issues/263>)
  * Wait for metadata to be written to disk (#283 <https://github.com/ros2/rosbag2/issues/283>)
  * Refactor record_fixture to use rcpputils::fs::path (#286 <https://github.com/ros2/rosbag2/issues/286>)
  * code style only: wrap after open parenthesis if not in one line (#280 <https://github.com/ros2/rosbag2/issues/280>)
  * Enhance E2E tests in Windows (#278 <https://github.com/ros2/rosbag2/issues/278>)
  * Add splitting e2e tests (#247 <https://github.com/ros2/rosbag2/issues/247>)
  * remove rosbag2 filesystem helper (#249 <https://github.com/ros2/rosbag2/issues/249>)
  * Make rosbag2 a metapackage (#241 <https://github.com/ros2/rosbag2/issues/241>)
  * [Compression - 7] Add compression metadata (#221 <https://github.com/ros2/rosbag2/issues/221>)
  * make ros tooling working group maintainer (#211 <https://github.com/ros2/rosbag2/issues/211>)
  * Contributors: Alejandro Hernández Cordero, Anas Abou Allaban, Dirk Thomas, Karsten Knese, Mabel Zhang, Sriram Raghunathan, Zachary Michaels

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 30 Apr 2020 07:00:00 -0000

ros-jazzy-rosbag2-tests (0.2.4-2noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 18 Nov 2019 08:00:00 -0000

ros-jazzy-rosbag2-tests (0.2.3-2noble) noble; urgency=high

  * Enhance rosbag writer capabilities to split bag files. (#185 <https://github.com/ros2/rosbag2/issues/185>)
  * Contributors: Zachary Michaels

 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 18 Nov 2019 08:00:00 -0000

ros-jazzy-rosbag2-tests (0.2.2-2noble) noble; urgency=high

  * (API) Generate bagfile metadata in Writer (#184 <https://github.com/ros2/rosbag2/issues/184>)
  * Contributors: Zachary Michaels

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 13 Nov 2019 08:00:00 -0000

ros-jazzy-rosbag2-tests (0.2.1-2noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 23 Oct 2019 07:00:00 -0000

ros-jazzy-rosbag2-tests (0.2.0-2noble) noble; urgency=high

  * disable plugins/tests which need rmw_fastrtps_cpp if unavailable (#137 <https://github.com/ros2/rosbag2/issues/137>)
  * Contributors: ivanpauno

 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 26 Sep 2019 07:00:00 -0000

ros-jazzy-rosbag2-tests (0.1.2-2noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Mon, 20 May 2019 07:00:00 -0000

ros-jazzy-rosbag2-tests (0.1.1-2noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 09 May 2019 07:00:00 -0000

ros-jazzy-rosbag2-tests (0.1.0-2noble) noble; urgency=high

  * fix compilation against master (#111 <https://github.com/ros2/rosbag2/issues/111>)
  * use fastrtps static instead of dynamic (#104 <https://github.com/ros2/rosbag2/issues/104>)
  * Compile tests (#103 <https://github.com/ros2/rosbag2/issues/103>)
  * remove duplicate repos (#102 <https://github.com/ros2/rosbag2/issues/102>)
  * removed dependency to ros1_bridge package (#90 <https://github.com/ros2/rosbag2/issues/90>)
  * Contributors: DensoADAS, Dirk Thomas, Karsten Knese

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 08 May 2019 07:00:00 -0000

ros-jazzy-rosbag2-tests (0.0.5-2noble) noble; urgency=high



 -- Michael Orlov <michael.orlov@apex.ai>  Thu, 27 Dec 2018 08:00:00 -0000

ros-jazzy-rosbag2-tests (0.0.4-2noble) noble; urgency=high

  * 0.0.3
  * Play old bagfiles (#69 <https://github.com/bsinno/rosbag2/issues/69>)
  * Contributors: Karsten Knese, Martin Idel

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 19 Dec 2018 08:00:00 -0000

ros-jazzy-rosbag2-tests (0.0.2-2noble) noble; urgency=high

  * do not ignore return values
  * update maintainer email
  * Contributors: Karsten Knese, root

 -- Michael Orlov <michael.orlov@apex.ai>  Wed, 12 Dec 2018 08:00:00 -0000

ros-jazzy-rosbag2-tests (0.0.1-2noble) noble; urgency=high

  * Auto discovery of new topics (#63 <https://github.com/ros2/rosbag2/issues/63>)
  * Split converters (#70 <https://github.com/ros2/rosbag2/issues/70>)
  * Fix master build and small renamings (#67 <https://github.com/ros2/rosbag2/issues/67>)
  * rename topic_with_types to topic_metadata
  * iterate_over_formatter
  * GH-142 replace map with unordered map where possible (#65 <https://github.com/ros2/rosbag2/issues/65>)
  * Use converters when recording a bag file (#57 <https://github.com/ros2/rosbag2/issues/57>)
  * Display bag summary using ros2 bag info (#45 <https://github.com/ros2/rosbag2/issues/45>)
  * Use directory as bagfile and add additonal record options (#43 <https://github.com/ros2/rosbag2/issues/43>)
  * Introduce rosbag2_transport layer and CLI (#38 <https://github.com/ros2/rosbag2/issues/38>)
  * Contributors: Alessandro Bottero, Andreas Greimel, Andreas Holzner, Karsten Knese, Martin Idel

 -- Michael Orlov <michael.orlov@apex.ai>  Tue, 11 Dec 2018 08:00:00 -0000


